CUDNN Frontend API 8.3.0

Public Types | List of all members
nlohmann::detail::iterator_types< It, void_t< typename It::difference_type, typename It::value_type, typename It::pointer, typename It::reference, typename It::iterator_category > > Struct Template Reference

`#include <json.hpp>`

Collaboration diagram for nlohmann::detail::iterator_types< It, void_t< typename It::difference_type, typename It::value_type, typename It::pointer, typename It::reference, typename It::iterator_category > >:

## Public Types
using | difference_type = typename It::difference_type
using | value_type = typename It::value_type
using | pointer = typename It::pointer
using | reference = typename It::reference
using | iterator_category = typename It::iterator_category

## Detailed Description

### template<typename It>
struct nlohmann::detail::iterator_types< It, void_t< typename It::difference_type, typename It::value_type, typename It::pointer, typename It::reference, typename It::iterator_category > >

Definition at line 3226 of file json.hpp.

## Member Typedef Documentation

## ◆ difference_type

template<typename It >

using nlohmann::detail::iterator_types< It, void_t< typename It::difference_type, typename It::value_type, typename It::pointer, typename It::reference, typename It::iterator_category > >::difference_type = typename It::difference_type

Definition at line 3231 of file json.hpp.

## ◆ iterator_category

template<typename It >

using nlohmann::detail::iterator_types< It, void_t< typename It::difference_type, typename It::value_type, typename It::pointer, typename It::reference, typename It::iterator_category > >::iterator_category = typename It::iterator_category

Definition at line 3235 of file json.hpp.

## ◆ pointer

template<typename It >

using nlohmann::detail::iterator_types< It, void_t< typename It::difference_type, typename It::value_type, typename It::pointer, typename It::reference, typename It::iterator_category > >::pointer = typename It::pointer

Definition at line 3233 of file json.hpp.

## ◆ reference

template<typename It >

using nlohmann::detail::iterator_types< It, void_t< typename It::difference_type, typename It::value_type, typename It::pointer, typename It::reference, typename It::iterator_category > >::reference = typename It::reference

Definition at line 3234 of file json.hpp.

## ◆ value_type

template<typename It >

using nlohmann::detail::iterator_types< It, void_t< typename It::difference_type, typename It::value_type, typename It::pointer, typename It::reference, typename It::iterator_category > >::value_type = typename It::value_type

Definition at line 3232 of file json.hpp.

The documentation for this struct was generated from the following file:

- json.hpp